{
	"options": {
		"manyField": "wpa_kTbl",
		"gridName": "Lista",
		"type": "Output",
		"footerHeight": 0,
		"oneField": "wpa_kTbl",
		"enterable": 0
	},
	"columns": [
		{
			"field": "wpa_start_employee_id",
			"width": 39,
			"name": "Aloittaja"
		},
		{
			"field": "wpa_start_date",
			"width": 58,
			"name": "Alkupäivä"
		},
		{
			"width": 51,
			"field": "wpa_start_time",
			"name": "Alkuaika",
			"format": "&/1"
		},
		{
			"field": "wpa_type_",
			"width": 34,
			"name": "Tyyppi"
		},
		{
			"field": "wpa_subtype",
			"width": 46,
			"name": "Alatyyppi"
		},
		{
			"field": "wpa_work_description",
			"width": 200,
			"name": "Työnkuvaus"
		},
		{
			"field": "wpa_info",
			"width": 200,
			"name": "Lisätietoja"
		},
		{
			"field": "wpa_record_id",
			"width": 56,
			"name": "ID"
		},
		{
			"field": "wo_project_id",
			"width": 60,
			"name": "Projekti",
			"enterable": 1
		},
		{
			"field": "wo_sales_order_id",
			"width": 60,
			"name": "Myyntitilaus"
		},
		{
			"field": "wo_sales_order_row_id",
			"width": 60,
			"name": "Myyntirivi"
		},
		{
			"field": "wpa_production_lot",
			"width": 60,
			"name": "Valm.erä"
		},

		{
			"field": "wpa_type_",
			"width": 34,
			"name": "Tyyppi"
		},
		{
			"field": "wpa_start_subtype",
			"width": 42,
			"name": "Al. alat."
		},
		{
			"field": "wpa_change_id",
			"width": 51,
			"name": "Muutos ID"
		},
		{
			"headerBackColor": -2,
			"width": 26,
			"lineBackColor": -2,
			"field": "wo_state",
			"lineForeColor": -2,
			"name": "Tila",
			"headerForeColor": -2
		},
		{
			"field": "wpa_work_phase_est_id",
			"width": 30,
			"name": "Työv."
		},

		{
			"field": "wpa_employee_id",
			"width": 34,
			"name": "Työnt."
		},
		{
			"field": "wpa_work_load_group_id",
			"width": 50,
			"name": "Kuormitusr."
		},
		{
			"field": "wpa_program_id",
			"width": 57,
			"name": "Ohj. numero"
		},
		{
			"field": "wpa_additional_data",
			"width": 40,
			"name": "Lisädata"
		},

		{
			"field": "wpa_start_shift_number",
			"width": 28,
			"name": "Al.v."
		},
		{
			"field": "wpa_shift_number",
			"width": 37,
			"name": "Lop.v."
		},
		{
			"field": "wpa_date_",
			"width": 65,
			"name": "Lopetuspäivä"
		},
		{
			"width": 51,
			"field": "wpa_end_time",
			"name": "Loppuaika",
			"format": "&/1"
		},
		{
			"width": 39,
			"field": "wpa_work_time__amount",
			"name": "Työaika",
			"footerValue": "==Sum"
		},
		{
			"width": 51,
			"field": "wpa_machine_hours",
			"name": "Konetunnit",
			"footerValue": "==Sum"
		},
		{
			"width": 62,
			"field": "wpa_produced_amount",
			"name": "Tehty määrä",
			"footerValue": "==Sum"
		},
		{
			"width": 89,
			"field": "wpa_setup_time__amount",
			"name": "Asetusaika/määrä",
			"footerValue": "==Sum"
		},
		{
			"width": 62,
			"field": "wpa_failed_amount",
			"name": "Susien määrä",
			"footerValue": "==Sum"
		},
		{
			"width": 70,
			"field": "wpa_unpaid_hours",
			"name": "Palkattomat",
			"footerValue": "==Sum"
		},
		{
			"width": 61,
			"field": "wpa_evening_work_hours",
			"name": "Iltalisätunnit",
			"footerValue": "==Sum"
		},
		{
			"width": 62,
			"field": "wpa_night_work_hours",
			"name": "Yölisätunnit",
			"footerValue": "==Sum"
		},
		{
			"width": 85,
			"field": "wpa_est_work_time__unit",
			"name": "Arv. työaika/kpl",
			"footerValue": "==Sum"
		},
		{
			"width": 51,
			"field": "wpa_work_cost_price__amount",
			"name": "Työ OK",
			"footerValue": "==Sum"
		},
		{
			"width": 89,
			"field": "wpa_est_setup_time__lot",
			"name": "Arv. asetusaika/erä",
			"footerValue": "==Sum"
		},
		{
			"field": "wpa_track_time_status",
			"width": 44,
			"name": "OA tila"
		}
	]
}
